CVE-2005-3072
CVSS7.5
发布时间 :2005-09-27 15:03:00
修订时间 :2011-03-07 21:25:43
NMCO    

[原文]SQL injection vulnerability in pages/forum/submit.html in Interchange 4.9.3 up to 5.2.0 allows remote attackers to execute arbitrary SQL commands via unknown vectors.


[CNNVD]Interchange submit.html SQL注入漏洞(CNNVD-200509-254)

        Interchange是一个电子商务和应用服务器系统,它使用户可以非常方便的构建一个基于数据库的Web服务器以及在线应用。
        Interchange 4.9.3至5.2.0版本的pages/forum/submit.html页面中存在SQL注入漏洞,远程攻击者可通过未知向量执行任意SQL指令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:interchange_development_group:interchange:5.0.1
cpe:/a:interchange_development_group:interchange:4.9.8
cpe:/a:interchange_development_group:interchange:5.1
cpe:/a:interchange_development_group:interchange:5.2.0
cpe:/a:interchange_development_group:interchange:4.9.6
cpe:/a:interchange_development_group:interchange:4.9.5
cpe:/a:interchange_development_group:interchange:5.0.2
cpe:/a:interchange_development_group:interchange:5.0
cpe:/a:interchange_development_group:interchange:5.1.1
cpe:/a:interchange_development_group:interchange:4.9.9
cpe:/a:interchange_development_group:interchange:4.9.4
cpe:/a:interchange_development_group:interchange:4.9.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3072
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3072
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200509-254
(官方数据源) CNNVD

- 其它链接及资源

http://secunia.com/advisories/16923
(PATCH)  SECUNIA  16923
http://www.vupen.com/english/advisories/2005/1829
(UNKNOWN)  VUPEN  ADV-2005-1829
http://xforce.iss.net/xforce/xfdb/22386
(UNKNOWN)  XF  interchange-submit-sql-injection(22386)
http://www.securityfocus.com/bid/14931
(UNKNOWN)  BID  14931
http://www.osvdb.org/19652
(UNKNOWN)  OSVDB  19652

- 漏洞信息

Interchange submit.html SQL注入漏洞
高危 SQL注入
2005-09-27 00:00:00 2005-10-20 00:00:00
远程  
        Interchange是一个电子商务和应用服务器系统,它使用户可以非常方便的构建一个基于数据库的Web服务器以及在线应用。
        Interchange 4.9.3至5.2.0版本的pages/forum/submit.html页面中存在SQL注入漏洞,远程攻击者可通过未知向量执行任意SQL指令。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        Interchange Interchange 5.0.1
        Interchange interchange-5.0.2.tar.gz
        http://ftp.icdevgroup.org/interchange/5.0/tar/interchange-5.0.2.tar.gz
        Interchange Interchange 5.2
        Interchange interchange-5.2.1.tar.gz
        http://ftp.icdevgroup.org/interchange/5.2/tar/interchange-5.2.1.tar.gz

- 漏洞信息

19652
Interchange submit.html SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity Upgrade
Exploit Unknown Vendor Verified

- 漏洞描述

Interchange contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the pages/forum/submit.html script not properly sanitizing user-supplied input to unspecified variable(s). This may allow an attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2005-09-23 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 5.2.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站